Subject: [Cfrg] parity bits.

From: Lokesh <[email-masked]>
Date: Tue, 13 May 2003 16:27:43 +0530

Hi all,

I'm not much familiar with the internals of cryptography, but have a 
question that
may look to you experts quite silly, but not for me, hence pls answer.
1] I know that in DES or 3DES keys, some bits are designated as parity bits.
     what are these parity bits, what is their significance? and what is 
their use?

Thanks in Advance.
Lokesh

_______________________________________________
Cfrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/cfrg

---

From: "Anton Stiglic" <[email-masked]>
Date: Tue, 13 May 2003 10:21:26 -0400

Refer to the Handbook of Applied Cryptography,
chapter 7, section 7.4.2.  Follow the references
if needed.
The whole book is available online for free:
http://www.cacr.math.uwaterloo.ca/hac/

The book is excellent and will answer all of your
basic crypto questions.  It's worth buying a
hardcopy version.

--Anton

---

From: "Robert R. Gilman" <[email-masked]>
Date: Tue, 13 May 2003 13:29:11 -0600

Lincy-
I don't think RFC 3261 prevents SIP calls from riding in a TLS tunnel,
if that is convenient for the users/proxies; what it does do is require
TLS tunnels for SIPS calls all the way to the "domain of the callee"
(see section 4, third paragraph).  Note the language in section 12.1.1,
third paragraph, that states the conditions for "secure": request arrives
over TLS AND (emphasis mine) the Request-URI contains a SIPS URI.
Section 16.6 has some other requirements for Request Forwarding at a
security boundary (e.g., steps 4 and 7).
-Bob
----------------------------------------------------
Bob Gilman       [email-masked]      +1 303 538 3868

Lincy Scaria wrote:

> Jo,
>  
> In my understanding RFC 3261 implies that using the sip URI means the session will not be secured and using the sips URI means the
> session should be secured using TLS.  Are we still in conformance with 3261 if we route regular sip sessions over TLS?  I'm still not sure
> about this.
>  
> I was thinking not.  So the key phrase here was "as detailed in RFC 3261" - my intention was to point out that this (sip means not secure,
> sips means secure) would only happen at the edge proxy.  Thanks for pointing out how this can be misunderstood.  I'll rephrase.
>  
> To answer your questions below: yes to all 4.
>  
> Lincy
> 
>      -----Original Message-----
>      From: Mcmillen, C Joanne (Joanne) 
>      Sent: Tuesday, May 13, 2003 1:15 PM
>      To: Scaria, Lincy (Lincy); Bennett, Russell P (Russell); Boyle, Frank J (Duffy)
>      Cc: Agrawal, Pankaj (Pankaj); Gilman, Robert R (Bob); Freundlich, Glen G (Glen); Mastrogiulio, Joseph (Joseph); Beck,
>      Alexander (Alex); Benoit, Jacques H (Jacques); Balasaygun, Mehmet C (Mehmet)
>      Subject: Re: SIPS issue ?
> 
>      Lincy,
>       
>      My confusion is not about being a proxy requirement in the proxy RFS. It's simply the wording and
>      perhaps it's because I am not familiar enough with your RFS. However, you just confused me 
>      even more with "The requirement that could need to be changed is 96123-070 (see below) to indicate that the 
>      SIPS URI scheme as detailed in RFC 3261 will be used only on the edge proxy for outgoing sessions. "
>       
>      The above says to me that a call placed by an MV user that routes over a  pattern indicating secure sip would
>      not use the SIPS URI scheme when sending the request to its proxy because that scheme is only used
>      by the edge proxy. If the SIPS URI scheme is only used by the proxy, how is the end-to-end TLS preference 
>      from the endpoint communicated to the proxy?
>       
>      Your original proposal for requirement 70 to become a proxy requirement said to me that
>      the edge proxy would now be required to always use the SIPS URI scheme for the first hop out
>      regardless of what scheme the endpoint indicated.
>       
>      Is this what you are actually saying and is the proposed behavior?
>          1) administration is present for both the softphone and gateway to indicate if they do or do not want to attempt
>              end-to-end TLS
>          2) If end-to-end TLS is desired, the SIPS URI scheme is used for the softphone/gateway request to the proxy
>          3) If the edge proxy gets a sips: request, it will require TLS for the first hop out and fail to route if TLS cannot be used
>          4) If the edge proxy gets a sip: request, it will not use TLS for the first hop out
>       
>      Jo
>       
>      From: Scaria, Lincy (Lincy) 
>      To: Mcmillen, C Joanne (Joanne) ; Bennett, Russell P (Russell) ; Boyle, Frank J (Duffy) 
>      Cc: Agrawal, Pankaj (Pankaj) ; Gilman, Robert R (Bob) ; Freundlich, Glen G (Glen) ; Mastrogiulio, Joseph (Joseph) ; Beck,
>      Alexander (Alex) ; Benoit, Jacques H (Jacques) ; Balasaygun, Mehmet C (Mehmet) 
>      Sent: Tuesday, May 13, 2003 9:56 AM
>      Subject: RE: SIPS issue ?
> 
>      There are two issues: 
>       
>      1. How to handle incoming sip calls to the Walled Garden.  Do we have to change the incoming URI to sips?  From discussion
>      it seems we shouldn't - it may impact call forwarding and other call handling.
>       
>      2. How to handle outgoing sip calls.  We can use AAR/ARS to handle this as required in Req. 96123-071 for MV users and
>      Softphone users can indicate in the application which URI they want.  
>       
>      The requirement that could need to be changed is 96123-070 (see below) to indicate that the SIPS URI scheme as detailed in
>      RFC 3261 will be used only on the edge proxy for outgoing sessions.    
>       
>      Lincy
>       
>      PS Jo, When I said this should be a Proxy requirement, I meant within 96123, not the Proxy RFS - sorry for the confusion.
> 
>           -----Original Message-----
>           From: Mcmillen, C Joanne (Joanne) 
>           Sent: Tuesday, May 13, 2003 10:43 AM
>           To: Bennett, Russell P (Russell); Boyle, Frank J (Duffy); Scaria, Lincy (Lincy)
>           Cc: Agrawal, Pankaj (Pankaj); Gilman, Robert R (Bob); Freundlich, Glen G (Glen); Mastrogiulio, Joseph (Joseph);
>           Beck, Alexander (Alex); Benoit, Jacques H (Jacques); Balasaygun, Mehmet C (Mehmet)
>           Subject: Re: SIPS issue ?
> 
>           Well, my $.02 is - I'm hopelessly confused by this! Perhaps it's because I do not
>           know what the open issue is that is trying to be resolved.
>            
>           It was my understanding that a sip/sips question is on the route pattern form to determine sip vs. sips so
>           we most certainly can dial sip:digits@domain if the route pattern is set  to do so. In fact, that's
>           requirement 71.
>            
>           I also do not understand the proposal to change the requirement wording
>           and make it a proxy requirement. I most certainly agree that we cannot do this if this requirement
>           stands alone. So, is the hidden thing I'm missing here a proposal to remove
>           requirement 71? If not, what am I missing here?
>            
>           Jo
>            
>           From: Bennett, Russell P (Russell) 
>           To: Boyle, Frank J (Duffy) ; Scaria, Lincy (Lincy) 
>           Cc: Agrawal, Pankaj (Pankaj) ; Gilman, Robert R (Bob) ; Freundlich, Glen G (Glen) ; Mcmillen, C Joanne
>           (Joanne) ; Mastrogiulio, Joseph (Joseph) ; Beck, Alexander (Alex) ; Benoit, Jacques H (Jacques) ; Balasaygun,
>           Mehmet C (Mehmet) 
>           Sent: Tuesday, May 13, 2003 7:29 AM
>           Subject: RE: SIPS issue ?
> 
>           Hmmmm....I must have missed this.  Dialing sip:digits@domain is part of the minimun sip user addressing
>           experience and must not be blocked.
>            
>           Russell
> 
>                -----Original Message-----
>                From: Boyle, Frank J (Duffy) 
>                Sent: Monday, May 12, 2003 10:19 PM
>                To: Scaria, Lincy (Lincy)
>                Cc: Agrawal, Pankaj (Pankaj); Gilman, Robert R (Bob); Freundlich, Glen G (Glen); Mcmillen, C
>                Joanne (Joanne); Mastrogiulio, Joseph (Joseph); Beck, Alexander (Alex); Benoit, Jacques H
>                (Jacques); Balasaygun, Mehmet C (Mehmet); Bennett, Russell P (Russell)
>                Subject: Re: SIPS issue ?
> 
>                Russell & Jo should make the call on this, but I fear it's too restrictive, in that we couldn't call
>                sip:digits@domain for any domain.  We could, alternately, add the sip/sips question on one of
>                the MV forms (routing pattern, sig group, or more likely trunk group).  Remember that there's
>                no restriction on IP addresses and ports any more, so we could signal sip: and sips: over the
>                same connection with this approach. 
> 
>                Duffy 
> 
>                "Scaria, Lincy (Lincy)" wrote: 
> 
>                  Pankaj, all,Here is a possible solution that was brought up a few weeks ago:For MV end users -
>                  we can stick to what we've already decided upon (depending on AAR/ARS to decide on URI). 
>                  We require that TLS be used within the Walled Garden, now we need to require that it be used
>                  regardless of URI. For Softphone IM users - they will be given the option to select whether each
>                  session is over TLS or not via a check box (this is a requirement in the Softphone R5 RFS).  This
>                  will really only mean anything if the session is addressed to an external user since TLS will be
>                  used within the customer's network regardless. So I propose that we edit requirement 96123-070
>                  to say:The SIPS URI Scheme, as described in RFC 3261, shall be used to require that
>                  TLS be used on the next hop out of the edge proxy.And then make this an IMPress Proxy
>                  requirement (as opposed to an MV requirement, as it currently is).  Refer to MR 41322.Your
>                  thoughts? Lincy 
> 
>                       -----Original Message----- 
>                       From: Agrawal, Pankaj (Pankaj) 
>                       Sent: Wednesday, May 07, 2003 3:46 PM 
>                       To: Scaria, Lincy (Lincy) 
>                       Subject: SIPS issue ?
>                       Hi Lincy, Can you please follow up about the SIPS requirements for the open
>                       issues ? I need to start discussing my design with team members to complete the
>                       development . Thanks,Pankaj